---
  # Install the JDK, configure it as the default, enable JNI development
  
  - name: "Installing the OpenJDK Java Development Kit (JDK) 8."
    apt:
       name: "{{ item }}"
       state: present
    with_items:
      - openjdk-8-jdk
      - openjdk-8-source
      
  - name: "Creating a default-java link so that other references can be version independent."
    file:
       src: /usr/lib/jvm/java-8-openjdk-amd64
       dest: /usr/lib/jvm/default-java
       state: link
  
  - name: "Creating a libjvm.so link so that libjvm is available for JNI compiles."
    file:
       src: /usr/lib/jvm/default-java/jre/lib/amd64/server/libjvm.so
       dest: /usr/lib/libjvm.so
       state: link
       